Hacking HELP (NEWBY)! USB Loader GX's interface w/NINTENDON'T

TomandJonna

Active Member
OP
Newcomer
Joined
Aug 29, 2017
Messages
33
Trophies
0
Age
61
XP
67
Country
United States
Hello and I'm sorry up front if this has already been asked. I've read hundreds of forum entries now and am simply beyond confused and dazed and am in need of help.

UPDATE: Read one more entry which led me to updating Nintendon't to latest version. This seems to have fixed the problem I outlined below. Sorry for the bother.

My config:
WiiU 5.5.2/vWii (dx2 10 beta 53-alt-vWii base 56; IOS249 rev 21010 +AHB -- 249, 250, & 251 are all the same...yup, sorry...If I need to change one or more of them I just need the files and a little help and I'll change whatever I need to...I will follow your instructions)
USBL GX rev 1262; Nintendon't v3.397 (NOW v5.479 build date in Oct 2017)
SD card including emulators/ROMS (working on vWii SNEEK, but not there yet)
WiiU HDD/vWii HDD (games all on HDDs; vWii games under /ntsc & /games)
I hot-swap the drives, I do not hide them with any software
Not sure what else you might need to know
Oh, no issues at all with running Wii backups...all running flawlessly.

My problem:
I followed a Dec 2016 guide for hacking the WiiU/vWii and setting up both USBL GX & Nintendon't. As I recall, the first time I tried the one GCN game I had installed for testing I was able to launch it via USBL GX through Nintendon't directly to the game. But now, and I don't know why, when I try to launch any of the many GCN games I have on my HDD, Nintendon't comes up, but it doesn't directly launch the game I selected in USBL GX. Rather, it asks me SD/USB and then upon selecting USB it lists all of my GCN games and I have to select from the list to launch. This doesn't seem right based on the numerous forum threads and videos I've read/watched. I must have messed something up, but don't know what.

I've tried to reset USBL GX settings, but I still can't get there from here...maybe I messed up even the resetting of settings. I'm totally lost and in need of what I think is a simple fix that I just can't see or get to. I pray this reaches those who understand the problem and have ideas on how to fix it...I'm simply spent or I would have continued reading and watching without help.

I thank you in advance for your help...MOST humbly & sincerely...Tom
 
Last edited by TomandJonna,

TomandJonna

Active Member
OP
Newcomer
Joined
Aug 29, 2017
Messages
33
Trophies
0
Age
61
XP
67
Country
United States
Thank GreyWolf...hadn't thought about looking for an update for GX, so I've updated and we seem to be running good now with all S/W updated.

Many thanks...MOST humbly & sincerely...Tom
 

TomandJonna

Active Member
OP
Newcomer
Joined
Aug 29, 2017
Messages
33
Trophies
0
Age
61
XP
67
Country
United States
Nintendont won't use the arguments sent by another loader if the interface version is too different. :)

OK, I didn't know that. I've been testing and retesting and so far all is well with the latest versions of both. You wouldn't believe all of the posts I read to get here, so I'm so very grateful to you for your help.

My next project is to get my PS2 modded to play both PS2 & PS1 games, then I'm done with gamin consoles as I'll have all I can use.

Oh, I do have a Q for you if you don't mind...have you heard of Daphne (laser disc game emulator for PCs). If you have, do you know if there is a way to play those laser disc ROMS on the WiiU/vWii (or PS2 for that matter)??

Can't thank you enough for your time...MOST humbly & sincerely...Tom
 

Cyan

GBATemp's lurking knight
Former Staff
Joined
Oct 27, 2002
Messages
23,724
Trophies
4
Age
44
Location
Engine room, learning
XP
15,469
Country
France
r1262 didn't autoboot with Nintendon't v3.397 ?
I always tried to make the loader compatible with all version of nintendont, old or new. It should send the corresponding setting version.

autoboot is added since 3.324, and 3.397 is supposed to be fully compatible with r1262.
Maybe I did something wrong in the version checker.


Well, at least now it works when updating both the loader and nintendont.
Maybe I should remove all the old version support and force users to just update nintendont. it would be easier to maintain the loader too.
 
Last edited by Cyan,

TomandJonna

Active Member
OP
Newcomer
Joined
Aug 29, 2017
Messages
33
Trophies
0
Age
61
XP
67
Country
United States
r1262 didn't autoboot with Nintendon't v3.397 ?
I always tried to make the loader compatible with all version of nintendont, old or new. It should send the corresponding setting version.

autoboot is added since 3.324, and 3.397 is supposed to be fully compatible with r1262.
Maybe I did something wrong in the version checker.


Well, at least now it works when updating both the loader and nintendont.
Maybe I should remove all the old version support and force users to just update nintendont. it would be easier to maintain the loader too.

Hey Cyan...I'm glad you saw this post as I just wanted to say thanks for all of the work you and your friends put into stuff like loader GX, etc. so that guys like me, who are badly out of date, can do some neat things with our toys...really appreciate it!

As an old programmer, I personally feel you are on the right track by forcing folks to update. I may make some folks unhappy, but it is not like updating the version is that tough...I mean I did it, so most anyone can. Just my thoughts though. Oh, and there were several other issues that updating both apps fixed, so a good overall idea to keep updated.

All the best and thanks again! MOST humbly & sincerely...Tom
 
  • Like
Reactions: Cyan

You may also like...

General chit-chat
Help Users
    Psionic Roshambo @ Psionic Roshambo: Lol